/* SECTION 1 (hero section) */
.hero-container {
  width: 100%;
  padding: 0 20px;
  background: linear-gradient(#c7f6c7 0%, #e4ffe3 100%);
}

.hero-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 100px;
  padding: 80px 0;
  padding-top: 28px;
}

.hero-first-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 80px;
  position: relative;
}

.hero-deco1,
.hero-deco2 {
  position: absolute;
}

.hero-deco1 {
  display: flex;
  justify-content: center;
  align-items: center;
  top: 27px;
  left: 50%;
  transform: translateX(-50%);
}

.hero-deco2 {
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: 26%;
  left: 55%;

  animation: diagonal-glide 1.5s ease-in-out infinite alternate;
}

.hero-left {
  max-width: 548px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-left: 10px;
}

.hero-head-para {
  display: flex;
  flex-direction: column;
  gap: 23px;
}

.hero-head {
  max-width: 414px;
  display: flex;
  position: relative;
}

.hero-head::before {
  content: "";
  position: absolute;
  max-width: 241px;
  width: 100%;
  height: 14.35px;
  bottom: -17px;
  right: 37px;
  background: url("../../assets/images/green-line-txt-deco-img.svg");
  background-size: contain;
  background-repeat: no-repeat;
}

.hero-btns {
  display: flex;
  align-items: center;
  gap: 19px;
}

.contact-us-btn {
  max-width: 250px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding: 12px;
  height: 50px;
  border-radius: 8px;
  background-color: var(--color-green);
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  font-weight: 600;
  line-height: 26px;
  color: var(--color-white);
  transition: all 0.25s ease-in-out;
}

.contact-us-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-us-btn:hover {
  background-color: #dafada;
  border: 2px solid var(--color-green);
  color: var(--color-green);
  transition: all 0.25s ease-in-out;
}

.talk-expert-btn {
  max-width: 250px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  gap: 8px;
  height: 50px;
  padding: 12px 19px;
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  font-weight: 600;
  line-height: 26px;
  color: var(--color-green);
}

.talk-expert-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.talk-expert-btn:hover {
  text-decoration: underline;
  text-underline-offset: 10px;
}

.hero-image {
  aspect-ratio: 463 / 424;
  max-width: 463px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  position: relative;
  flex-shrink: 0;
}

.hero-main-image {
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateX(-25px);
  position: relative;
}

.green-circle {
  position: absolute;
  aspect-ratio: 1 / 1.02;
  max-width: 318px;
  width: 100%;
  height: auto;
  background-color: #a2f99f;
  border-radius: 50%;
  z-index: -1;
  bottom: 0;
}

.hero-main-image img {
  max-width: 350px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.justice-badge {
  position: absolute;
  right: 0;
  top: 65px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 11px;
  padding: 9px 16px;
  aspect-ratio: 142 / 65;
  max-width: 142px;
  width: 100%;
  height: auto;
  background-color: var(--color-white);
  border-radius: 11px;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.25);
}

.justice-badge-icon,
.rights-badge-icon {
  width: 35px;
  height: 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  background-color: var(--color-light-green);
  border-radius: 11px;
}

.rights-badge {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  aspect-ratio: 142 / 65;
  max-width: 142px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 11px;
  padding: 12px 8px;
  background-color: var(--color-white);
  border-radius: 11px;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.25);
}

.justice-badge p,
.rights-badge p {
  font-size: 15px;
  line-height: 24px;
  color: #0d0e10;
  font-weight: 500;
}

.hero-middle-div {
  max-width: 956px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  padding: 0 32px;
  border-radius: 16px;
  background-color: var(--color-green);
}

.middle-content {
  max-width: 800px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 36px 0;
}

.middle-head-row {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 23px;
}

.middle-item {
  max-width: 251px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 8px;
}

.middle-item-icon {
  width: 58px;
  height: 58px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--color-light-green);
  margin: 11px 13px;
  flex-shrink: 0;
}

.middle-item-txt {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.item-number {
  font-size: 32px;
  line-height: 42px;
  font-weight: 600;
  color: var(--color-white);
}

.middle-item-txt p {
  color: var(--color-white);
}

.middle-bottom-row {
  display: flex;
  align-items: flex-end;
  justify-content: center;
  gap: 32px;
  padding-top: 17px;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
}

.bottom-item {
  display: flex;
  align-items: center;
  gap: 12px;
}

.bottom-item p {
  color: var(--color-white);
}

.hero-bottom-div {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  position: relative;
}

.bottom-dec {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: 20%;
  top: 3%;

  animation: rotateInfinite 10s linear infinite;
}

.bottom-head-para {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
  max-width: 515px;
}

.bottom-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.bottom-cards {
  display: flex;
  justify-content: center;
  gap: 31px;
  width: 100%;
}

.bottom-crd.for-women {
  background-color: #fdeef6;
  border: 1px solid var(--color-red);
}

.bottom-crd {
  max-width: 580px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 18px;
  padding: 20px 30px;
  border-radius: 14px;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.1);
}

.profile-img-txt {
  display: flex;
  align-items: flex-start;
  gap: 27px;
}

.profile-img {
  display: flex;
  justify-content: center;
  align-items: center;
}

.profile-txt {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.profile-txt p {
  font-size: 16px;
  line-height: 25px;
  font-style: italic;
  color: #676879;
}

.card-points {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.card-points li {
  display: flex;
  align-items: center;
  gap: 12px;
}

.point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 8px;
  height: 8px;
  background-color: #b50896;
  border-radius: 50%;
  flex-shrink: 0;
}

.bottom-card-button {
  display: flex;
  flex-direction: column;
  gap: 12px;
  max-width: 100%;
  width: 100%;
}

.right-wmen-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-red);
  border-radius: 10px;
  padding: 10px 24px;
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  line-height: 26px;
  font-weight: 600;
  border: 2px solid var(--color-red);
  color: var(--color-white);
  transition: all 0.25s ease;
}

.right-wmen-btn.right-men-btn {
  border: 2px solid var(--color-blue);
  background-color: var(--color-blue);
}

.right-wmen-btn:hover {
  background-color: var(--color-white);
  border: 2px solid var(--color-red);
  color: var(--color-black);
  transition: all 0.25s ease;
}

.right-wmen-btn.right-men-btn:hover {
  border: 2px solid var(--color-blue);
}

.speak-lawyer-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
  padding: 12px 24px;
  background: transparent;
  border-radius: 10px;
  border: 1px solid var(--color-red);
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  line-height: 26px;
  font-weight: 600;
  color: #0d0e10;
  transition: all 0.25s ease;
}

.speak-lawyer-btn.blue {
  border: 1px solid var(--color-blue);
}

.speak-lawyer-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.speak-lawyer-btn:hover {
  background-color: var(--color-red);
  color: var(--color-white);
  transition: all 0.25s ease;
}

.speak-lawyer-btn.blue:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
}

.bottom-crd.for-men {
  background-color: #eef1fd;
  border: 1px solid var(--color-blue);
}

@media (max-width: 1200px) {
  .hero-deco1 {
    left: 54%;
  }

  .hero-deco2 {
    left: 52%;
  }

  .bottom-cards {
    gap: 16px;
  }

  .bottom-crd {
    padding: 20px 24px;
  }
}

@media (max-width: 1100px) {
  .hero-wrapper {
    gap: 80px;
  }

  .hero-first-div {
    gap: clamp(35px, 6.6vw, 50px);
  }

  .hero-image {
    max-width: 409px;
  }

  .green-circle {
    max-width: 281px;
  }

  .justice-badge {
    top: 81px;
    right: -7px;
  }

  .hero-main-image img {
    max-width: 319px;
  }

  .hero-middle-div {
    max-width: 892px;
  }
}

@media (max-width: 1146.98px) {
  .bottom-cards {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }
}

@media (max-width: 1023.98px) {
  .hero-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    gap: 50px;
  }

  .hero-first-div {
    flex-direction: column;
    align-items: center;
  }

  .hero-left {
    max-width: 100%;
    align-items: center;
    margin-left: 0;
  }

  .hero-head-para {
    max-width: 100%;
    align-items: center;
    text-align: center;
    gap: 15px;
  }

  .hero-head-para p {
    max-width: 576px;
  }

  .hero-deco1 {
    left: 10%;
    top: unset;
    transform: unset;
    bottom: 40%;
  }

  .hero-deco2 {
    right: unset;
    left: 12%;
    bottom: 9%;
  }

  .hero-btns {
    width: 100%;
    justify-content: center;
  }

  .hero-middle-div {
    max-width: 706px;
    padding: 0 24px;
  }

  .middle-content {
    padding: 14px 0;
    gap: 28px;
  }

  .middle-head-row {
    gap: 20px;
  }

  .middle-item {
    max-width: fit-content;
  }

  .middle-item-icon {
    width: 44px;
    height: 44px;
    margin: 0 8.5px;
  }

  .middle-item-icon img {
    width: 22px;
    height: 22px;
  }

  .middle-item-txt {
    gap: 2px;
    width: fit-content;
  }

  .item-number {
    font-size: 26px;
    line-height: 36px;
  }

  .middle-item-txt p {
    font-size: 15px;
    line-height: 24px;
    font-weight: 500;
  }

  .middle-bottom-row {
    gap: 18px;
  }

  .bottom-item p {
    font-size: 15px;
    line-height: 24px;
    font-weight: 500;
  }

  .bottom-dec {
    right: 12%;
  }

  .bottom-dec img {
    width: 20px;
    height: 20px;
  }

  .bottom-crd {
    padding: 31px 26px;
  }

  .profile-img-txt {
    gap: 20px;
  }

  .profile-img img {
    width: 60px;
    height: 60px;
  }

  .profile-txt {
    gap: 4px;
  }
}

@media (max-width: 767.98px) {
  .hero-deco1 {
    left: 8%;
  }

  .hero-deco2 {
    left: 5%;
  }

  .hero-deco1 img {
    width: 22px;
    height: 22px;
  }

  .hero-deco2 img {
    width: 60px;
  }

  .hero-left {
    gap: 35px;
  }

  .hero-middle-div {
    padding: 0 18px;
  }

  .middle-head-row {
    gap: 12px;
  }
}

@media (max-width: 640.98px) {
  .hero-container {
    padding: 0 10px;
  }

  .hero-wrapper {
    padding: 50px 0;
    padding-top: 40px;
    gap: 35px;
  }

  .hero-head-para p {
    padding: 0 15px;
  }

  .hero-deco1 {
    bottom: 41%;
  }

  .hero-deco2 {
    bottom: 25px;
    left: 1%;
  }

  .hero-head {
    max-width: 319px;
  }

  .hero-head::before {
    max-width: 174px;
    right: 28px;
    bottom: -14px;
  }

  .hero-btns {
    flex-wrap: wrap;
    column-gap: 24px;
  }

  .hero-image {
    margin-bottom: 40px;
  }

  .hero-main-image {
    transform: unset;
  }

  .justice-badge {
    max-width: 110px;
    gap: 3px;
    padding: 6px 10px;
    top: 144px;
    right: 1px;
    height: 46px;
  }

  .rights-badge {
    max-width: 148px;
    height: 46px;
  }

  .rights-badge-icon,
  .justice-badge-icon {
    width: 34px;
    height: 34px;
  }

  .rights-badge-icon img,
  .justice-badge-icon img {
    width: 20px;
    height: 20px;
  }

  .hero-middle-div {
    max-width: 355px;
    padding: 0 16px;
  }

  .middle-content {
    padding: 22px 0;
  }

  .middle-head-row {
    flex-direction: column;
    align-items: center;
    gap: 27px;
  }

  .middle-item {
    gap: 21px;
    max-width: 200px;
  }

  .middle-item-icon {
    margin: 0;
  }

  .middle-item-txt {
    max-width: 135px;
    width: 100%;
  }

  .middle-bottom-row {
    flex-direction: column;
    align-items: center;
    gap: 17px;
    padding-top: 11px;
  }

  .bottom-item {
    max-width: 206px;
    width: 100%;
  }

  .middle-item-txt p {
    font-size: 16px;
  }

  .bottom-item p {
    font-size: 16px;
  }

  .bottom-crd {
    padding: 20px 16px;
  }

  .profile-img-txt {
    gap: 8px;
  }

  .profile-img {
    width: 56px;
    height: 56px;
  }

  .profile-txt h3 {
    font-size: 18px;
    line-height: 28px;
    font-weight: 600;
  }

  .profile-txt p {
    font-size: 14px;
    line-height: 24px;
  }

  .card-points li {
    gap: 5px;
    align-items: flex-start;
  }

  .point-icon {
    width: 6px;
    height: 6px;
    margin-top: 11px;
  }

  .speak-lawyer-btn {
    gap: 10px;
    padding: 12px 15px;
  }

  .speak-lawyer-btn span img {
    width: 15px;
    height: 15px;
  }

  .bottom-dec {
    right: 0;
    top: -5px;
  }

  .bottom-head-para {
    gap: 10px;
  }

  .bottom-head-para p {
    padding: 0 10px;
  }
}

@media (max-width: 440px) {
  .rights-badge {
    bottom: -21px;
  }

  .hero-deco2 {
    left: 0;
    animation: none;
  }
}

/* SECTION 2 (Unbiased law-driven) */
.unbiased-container {
  width: 100%;
  padding: 0 20px;
}

.unbiased-wrapper {
  max-width: 1220px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 120px;
  padding: 80px 0;
  position: relative;
}

.unbiased-image {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  max-width: 488px;
  width: 100%;
}

.unbiased-image img {
  max-width: 409px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.unbiased-content {
  max-width: 611px;
  min-width: 569px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.unbiased-content-deco {
  position: absolute;
  right: 0;
  top: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.unbiased-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 100%;
  padding-left: 11px;
}

.unbiased-head-para p {
  max-width: 564px;
}

.unbiased-oval-deco {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1160px) {
  .unbiased-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1100px) {
  .unbiased-oval-deco {
    position: absolute;
    bottom: 20px;
  }

  .unbiased-image {
    padding-left: 11px;
  }
}

@media (max-width: 1023.98px) {
  .unbiased-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .unbiased-image {
    padding-left: unset;
    max-width: unset;
    width: unset;
  }

  .unbiased-image img {
    max-width: 319px;
  }

  .unbiased-oval-deco {
    right: 10%;
  }

  .unbiased-oval-deco img {
    max-width: 68px;
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  .unbiased-content-deco {
    right: 15%;
    top: 54%;
    transform: translateY(-50%);
  }

  .unbiased-content-deco img {
    width: 40px;
    height: 40px;
  }

  .unbiased-content {
    max-width: 100%;
    align-items: center;
    gap: 10px;
  }

  .unbiased-head-para {
    padding-left: unset;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .unbiased-head {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .unbiased-head-para p {
    max-width: 604px;
  }
}

@media (max-width: 640.98px) {
  .unbiased-container {
    padding: 0 10px;
  }

  .unbiased-wrapper {
    gap: 35px;
    padding: 50px 0;
  }

  .unbiased-image img {
    max-width: 355px;
  }

  .unbiased-content {
    min-width: unset;
  }

  .unbiased-content-deco {
    right: 5%;
  }

  .unbiased-content-deco img {
    width: 18px;
    height: 18px;
  }
}

/* SECTION 3 (your marriage rights) */
.rights-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.rights-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
  position: relative;
}

.rights-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
}

.rights-deco-dots {
  left: 0;
  top: 7px;
}

.rights-deco-leaf {
  top: 48px;
  right: 0;
}

.rights-head-para {
  display: flex;
  justify-content: center;
  align-items: center;
}

.rights-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.rights-comparison {
  max-width: 1219px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 22px;
}

.rights-column {
  max-width: 530px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.rights-card-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.rights-versus {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 75px;
  height: 75px;
  border-radius: 50%;
  background-color: var(--color-green);
  flex-shrink: 0;
}

.rights-card {
  display: flex;
  align-items: center;
  gap: 20px;
  padding: 19.5px 39px;
  border-radius: 8px;
  background-color: var(--color-white);
  transition: all 0.2s ease;
}

.rights-versus span {
  font-size: 26px;
  line-height: 36px;
  font-weight: 600;
  color: var(--color-white);
}

.rights-column h3 {
  padding-left: 40px;
  color: var(--color-green);
}

.rights-card-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.rights-card-text {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.rights-card-text h4 {
  color: #0d0e10;
}

.rights-card-text p {
  color: #888988;
}

.rights-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.rights-card:hover > .rights-card-text h4 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.rights-card:hover > .rights-card-text p {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.rights-card:hover > .rights-card-icon.c1 {
  content: url("../../assets/icons/debt-white-hover-icn.svg");
}

.rights-card:hover > .rights-card-icon.c2 {
  content: url("../../assets/icons/civil-law-white-hover-icn.svg");
}

.rights-card:hover > .rights-card-icon.c3 {
  content: url("../../assets/icons/house-hands-white-hover-icn.svg");
}

.rights-card:hover > .rights-card-icon.c4 {
  content: url("../../assets/icons/family-law-white-hover-icn.svg");
}

@media (max-width: 1100px) {
  .rights-container {
    padding: 0 40px;
  }
}

@media (max-width: 1023.98px) {
  .rights-container {
    padding: 0 30px;
  }

  .rights-wrapper {
    padding: 60px 0;
  }

  .rights-comparison {
    gap: 15px;
  }

  .rights-column {
    align-items: center;
  }

  .rights-column h3 {
    padding-left: 0;
  }

  .rights-card {
    padding: 16px 15px;
    gap: 19px;
  }

  .rights-card-icon img {
    width: 45px;
    height: 45px;
  }

  .rights-card-text {
    gap: 2px;
  }
}

@media (max-width: 767.98px) {
  .rights-deco-dots img {
    width: 40px;
    height: 40px;
  }

  .rights-deco-leaf {
    top: 32px;
  }

  .rights-deco-leaf img {
    width: 32px;
    height: 32px;
  }

  .rights-comparison {
    flex-direction: column;
    gap: 28.5px;
  }

  .rights-card {
    max-width: 343px;
    padding: 15px 22px;
    padding-right: 17px;
  }

  .rights-card-icon img {
    width: 34px;
    height: 34px;
  }

  .rights-versus {
    width: 54px;
    height: 54px;
  }

  .rights-versus span {
    font-size: 22px;
    line-height: 32px;
  }

  .rights-card-text {
    gap: 0;
  }
}

@media (max-width: 640.98px) {
  .rights-container {
    padding: 0 10px;
  }

  .rights-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}

/* SECTION 4 (premium legal service) */
.premium-container {
  width: 100%;
  padding: 0 20px;
}

.premium-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
}

.premium-head-para {
  display: flex;
  align-items: center;
  gap: 70px;
}

.premium-head-deco {
  display: flex;
  justify-content: center;
  align-items: center;
}

.premium-head-deco {
  display: flex;
  flex-direction: column;
  gap: 3px;
  align-items: center;
  text-align: center;
}

.premium-showcase {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.premium-image {
  display: flex;
  justify-content: center;
  position: relative;
  border-radius: 14px;
  overflow: hidden;
  object-fit: cover;
}

.premium-image::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  background: rgba(26, 43, 72, 0.46);
}

.premium-image img {
  max-width: 1220px;
  width: 100%;
  min-height: 222px;
  height: auto;
}

.premium-card-list {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 17px;
  padding: 0 10px;
  margin-top: -50px;
}

.premium-card {
  max-width: 285px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  text-align: center;
  gap: 24px;
  padding: 27px 20px;
  border-radius: 14px;
  background-color: var(--color-white);
  border: 1px solid #e5e7eb;
  z-index: 5;
  transition: all 0.25s ease;
}

.premium-card:hover {
  background-color: var(--color-mist-green);
  transition: all 0.3s ease;
}

.premium-card-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}

.premium-card-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 56px;
  height: 56px;
  border-radius: 10px;
  background-color: var(--color-light-green);
  flex-shrink: 0;
}

.premium-card-txt {
  display: flex;
  flex-direction: column;
  gap: 12px;
  align-items: center;
}

.premium-card-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  max-width: 250px;
  width: 100%;
  background-color: var(--color-green);
  border-radius: 10px;
  padding: 10px 24px;
  font-family: "Figtree", sans-serif;
  font-size: 17px;
  line-height: 26px;
  font-weight: 600;
  color: var(--color-white);
  border: 2px solid var(--color-green);
  transition: all 0.25s ease;
}

.premium-card-btn:hover {
  border: 2px solid var(--color-green);
  background-color: var(--color-white);
  color: var(--color-green);
  transition: all 0.25s ease;
}

.premium-card-list > .premium-card:nth-child(1),
.premium-card-list > .premium-card:nth-child(3) {
  transform: translateY(-54px);
  height: fit-content;
}

.premium-card-list
  > .premium-card:nth-child(3)
  > .premium-card-body
  > .premium-card-txt
  p {
  max-width: 164px;
}

@media (max-width: 1100px) {
  .premium-card-list {
    padding: 0;
    max-width: 903px;
  }
}

@media (max-width: 1023.98px) {
  .premium-container {
    padding: 0 30px;
  }

  .premium-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .premium-head-para {
    gap: 37px;
  }

  .premium-head-deco img {
    width: 50px;
    height: 50px;
  }

  .premium-card-list {
    max-width: 621px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 27px;
    margin-top: -69px;
  }

  .premium-card-list > .premium-card:nth-child(1),
  .premium-card-list > .premium-card:nth-child(3) {
    transform: unset;
    max-width: 297px;
  }

  .premium-card {
    max-width: 285px;
  }
}

@media (max-width: 740px) {
  .premium-container {
    padding: 0 10px;
  }

  .premium-card-list {
    grid-template-columns: 1fr;
    place-items: center;
    margin-top: -36px;
  }

  .premium-image {
    object-fit: contain;
  }

  .premium-image img {
    min-height: 111px;
  }
}

@media (max-width: 640.98px) {
  .premium-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .premium-head-para {
    gap: 5px;
  }

  .premium-head-deco img {
    max-width: 30px;
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  .premium-head-deco {
    gap: 1px;
  }

  .premium-card {
    max-width: 295px;
    padding: 20px 25px;
  }

  .premium-card-list > .premium-card:nth-child(1),
  .premium-card-list > .premium-card:nth-child(3) {
    max-width: 295px;
  }

  .premium-card-list
    > .premium-card:nth-child(3)
    > .premium-card-body
    > .premium-card-txt
    p {
    max-width: 100%;
  }
}
